ResultSetRef
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.elements
Class ResultSetRef

    java.lang.Object
      org.gcube.common.searchservice.searchlibrary.resultset.elements.ResultSetRef

    public class ResultSetRef

extends java.lang.Object

Placeholder for information on a `ResultSet` chain

Author:
  UoA

Constructor Summary
`ResultSetRef()` Creates a new `ResultSetRef`

Method Summary
`boolean` | `addResult(java.lang.String result)` Adds a new result in the results buffer
`boolean` | `addText(java.lang.String result)` Adds a new result in the results buffer bypassing the validation
`void` | `clear()` Clears the underying structures
`void` | `clearResults()` Clears the underlying results buffer
`int` | `getAccess()` Get the access leasing
`HeaderRef` | `getCurrentHeader()` Retrieves info of the current header
`java.lang.String` | `getCurrentHeaderName()` Retrieves the name of the current header
`java.util.Date` | `getExpire_date()` Get the time leasing
`java.lang.String` | `getHead()` Retrives the head part
`org.gcube.common.searchservice.searchlibrary.resultset.security.HeadMnemonic` | `getHmnemonic()` Get security properties
`java.lang.String` | `getInWrap()` Retrieves the file that shouldbe wrapped
`org.gcube.common.searchservice.searchlibrary.resultset.security.Mnemonic` | `getMnemonic()` Get security properties
`java.util.Vector<java.lang.String>` | `getResults()` Retrieves the results heald in the underlying buffer
`boolean` | `inWrap()` Checks if there is a file o wrap
`boolean` | `isDataFlow()` Returns whether or not this RS offeres on demand production of results
`boolean` | `isForward()` Get the forward property
`void` | `resetInWrap()` Sets that there is no file to wrap
`void` | `setAccess(int a)` Sets whether or not this RS offeres erasure of parts
`void` | `setCurrentHeader(HeaderRef header)` Sets the header info that is current
`void` | `setCurrentHeaderName(java.lang.String header)` Sets the current header file name
`void` | `setDataFlow(boolean dataFlow)` Sets whether or not this RS offeres on demand production of results
`void` | `setExpire_date(java.util.Date expire_date)` Set the time leasing
`void` | `setForward(boolean forward)` Set the forward property
`void` | `setHead(java.lang.String head)` Sets the head file part of the chain
`void` | `setHmnemonic(org.gcube.common.searchservice.searchlibrary.resultset.security.HeadMnemonic hmnemonic)` Set security properties
`void` | `setInWrap(java.lang.String inwrap)` Set that the payload to be persisted should be done wrapping the provided file
`void` | `setMnemonic(org.gcube.common.searchservice.searchlibrary.resultset.security.Mnemonic mnemonic)` Set security properties
`void` | `setResults(java.util.Vector<java.lang.String> results)` Sets the underlying buffer to hold the provided records
`void` | `updateHeaderNext(java.lang.String next)` Udates the next property of the current header
`void` | `updateHeaderPrev(java.lang.String prev)` Udates the prev property of the current header

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetRef

    public ResultSetRef()

  Creates a new `ResultSetRef`

Method Detail

### setHead

    public void setHead(java.lang.String head)

  Sets the head file part of the chain

  Parameters:
    `head` - the head of the RS

### setCurrentHeader

    public void setCurrentHeader(HeaderRef header)

  Sets the header info that is current

  Parameters:
    `header` - The current header

### setCurrentHeaderName

    public void setCurrentHeaderName(java.lang.String header)

  Sets the current header file name

  Parameters:
    `header` - The current header file name

### getHead

    public java.lang.String getHead()

  Retrives the head part

  Returns:
    Teh head part

### getCurrentHeader

    public HeaderRef getCurrentHeader()

  Retrieves info of the current header

  Returns:
    The current header info

### getCurrentHeaderName

    public java.lang.String getCurrentHeaderName()

  Retrieves the name of the current header

  Returns:
    The current header name

### addResult

    public boolean addResult(java.lang.String result)

  Adds a new result in the results buffer

  Parameters:
    `result` - The record to add
  Returns:
    `true` if the result was valid and was added,`false` otherwise

### addText

    public boolean addText(java.lang.String result)

  Adds a new result in the results buffer bypassing the validation

  Parameters:
    `result` - The record to add
  Returns:
    `true`

### getResults

    public java.util.Vector<java.lang.String> getResults()

  Retrieves the results heald in the underlying buffer

  Returns:
    The available results

### setResults

    public void setResults(java.util.Vector<java.lang.String> results)

  Sets the underlying buffer to hold the provided records

  Parameters:
    `results` - The records to hold

### updateHeaderNext

    public void updateHeaderNext(java.lang.String next)
                          throws java.lang.Exception

  Udates the next property of the current header

  Parameters:
    `next` - The value to be set
  Throws:
    `java.lang.Exception` - An unrecoverable for the operation error occured

### updateHeaderPrev

    public void updateHeaderPrev(java.lang.String prev)
                          throws java.lang.Exception

  Udates the prev property of the current header

  Parameters:
    `prev` - The value to be set
  Throws:
    `java.lang.Exception` - An unrecoverable for the operation error occured

### clearResults

    public void clearResults()

  Clears the underlying results buffer

### clear

    public void clear()

  Clears the underying structures

### setInWrap

    public void setInWrap(java.lang.String inwrap)

  Set that the payload to be persisted should be done wrapping the provided file

  Parameters:
    `inwrap` - The file to wrap

### getInWrap

    public java.lang.String getInWrap()

  Retrieves the file that shouldbe wrapped

  Returns:
    Teh file to wrap

### inWrap

    public boolean inWrap()

  Checks if there is a file o wrap

  Returns:
    `true` if a file should be wrapped, `false` otherwise

### resetInWrap

    public void resetInWrap()

  Sets that there is no file to wrap

### isDataFlow

    public boolean isDataFlow()

  Returns whether or not this RS offeres on demand production of results

  Returns:
    `true` if the RS offeres on demand production, `false` otherwise

### setDataFlow

    public void setDataFlow(boolean dataFlow)

  Sets whether or not this RS offeres on demand production of results

  Parameters:
    `dataFlow` - `true` if the RS offeres on demand production, `false` otherwise

### setAccess

    public void setAccess(int a)

  Sets whether or not this RS offeres erasure of parts

  Parameters:
    `a` - tha access leasing

### getAccess

    public int getAccess()

  Get the access leasing

  Returns:
    access leasing

### isForward

    public boolean isForward()

  Get the forward property

  Returns:
    true if forward property is enabled

### setForward

    public void setForward(boolean forward)

  Set the forward property

  Parameters:
    `forward` - true if forward property is to be enabled

### getExpire_date

    public java.util.Date getExpire_date()

  Get the time leasing

  Returns:
    time leasing

### setExpire_date

    public void setExpire_date(java.util.Date expire_date)

  Set the time leasing

  Parameters:
    `expire_date` - for how long

### getMnemonic

    public org.gcube.common.searchservice.searchlibrary.resultset.security.Mnemonic getMnemonic()

  Get security properties

  Returns:
    the security related class

### setMnemonic

    public void setMnemonic(org.gcube.common.searchservice.searchlibrary.resultset.security.Mnemonic mnemonic)

  Set security properties

  Parameters:
    `mnemonic` - the security related class

### getHmnemonic

    public org.gcube.common.searchservice.searchlibrary.resultset.security.HeadMnemonic getHmnemonic()

  Get security properties

  Returns:
    the security related class for the header

### setHmnemonic

    public void setHmnemonic(org.gcube.common.searchservice.searchlibrary.resultset.security.HeadMnemonic hmnemonic)

  Set security properties

  Parameters:
    `hmnemonic` - the security related class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD